Bug 21353 - Merge patrons option only available with manage_patron_lists
Summary: Merge patrons option only available with manage_patron_lists
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Target Milestone: ---
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-09-15 16:32 UTC by Séverine Queune
Modified: 2018-10-24 09:13 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 21353: Display checkboxes to merge patron even if cannot manage lists (3.13 KB, patch)
2018-09-15 18:03 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 21353: (follow-up) same check for select/clear all links (1.31 KB, patch)
2018-09-16 17:42 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 21353: Display checkboxes to merge patron even if cannot manage lists (3.26 KB, patch)
2018-09-16 17:57 UTC, sandboxes@biblibre.com
Details | Diff | Splinter Review
Bug 21353: (follow-up) same check for select/clear all links (1.51 KB, patch)
2018-09-16 17:57 UTC, sandboxes@biblibre.com
Details | Diff | Splinter Review
Bug 21353: Display checkboxes to merge patron even if cannot manage lists (3.32 KB, patch)
2018-09-24 19:05 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 21353: (follow-up) same check for select/clear all links (1.56 KB, patch)
2018-09-24 19:05 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Séverine Queune 2018-09-15 16:32:16 UTC
When permission 'manage_patron_lists' is off, there is no checkbox on /cgi-bin/koha/members/member.pl to merge patrons.
Comment 1 Jonathan Druart 2018-09-15 18:03:58 UTC
Created attachment 78872 [details] [review]
Bug 21353: Display checkboxes to merge patron even if cannot manage lists

When permission 'manage_patron_lists' is off, there is no checkbox on
/cgi-bin/koha/members/member.pl to merge patrons.

Test plan:
Remove permission manage_patron_lists
Add permission edit_borrowers
Search for patrons
=> Without this patch you will not be able to select patrons to merge
(checkboxes are not displayed)
Comment 2 Séverine Queune 2018-09-16 16:55:08 UTC
The "Select all // Clear all" options are only display with permission 'manage_patron_lists'.
It think it's display should not dependant on any permission for it's useful for both actions (list + merge).
Comment 3 Jonathan Druart 2018-09-16 17:42:06 UTC
Created attachment 78957 [details] [review]
Bug 21353: (follow-up) same check for select/clear all links
Comment 4 sandboxes@biblibre.com 2018-09-16 17:57:13 UTC
Patch tested with a sandbox, by Séverine QUEUNE <severine.queune@bulac.fr>
Comment 5 sandboxes@biblibre.com 2018-09-16 17:57:50 UTC
Created attachment 78971 [details] [review]
Bug 21353: Display checkboxes to merge patron even if cannot manage lists

When permission 'manage_patron_lists' is off, there is no checkbox on
/cgi-bin/koha/members/member.pl to merge patrons.

Test plan:
Remove permission manage_patron_lists
Add permission edit_borrowers
Search for patrons
=> Without this patch you will not be able to select patrons to merge
(checkboxes are not displayed)

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Comment 6 sandboxes@biblibre.com 2018-09-16 17:57:53 UTC
Created attachment 78972 [details] [review]
Bug 21353: (follow-up) same check for select/clear all links

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Comment 7 Katrin Fischer 2018-09-24 19:05:35 UTC
Created attachment 79335 [details] [review]
Bug 21353: Display checkboxes to merge patron even if cannot manage lists

When permission 'manage_patron_lists' is off, there is no checkbox on
/cgi-bin/koha/members/member.pl to merge patrons.

Test plan:
Remove permission manage_patron_lists
Add permission edit_borrowers
Search for patrons
=> Without this patch you will not be able to select patrons to merge
(checkboxes are not displayed)

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 8 Katrin Fischer 2018-09-24 19:05:40 UTC
Created attachment 79336 [details] [review]
Bug 21353: (follow-up) same check for select/clear all links

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 9 Nick Clemens 2018-09-26 19:37:13 UTC
Awesome work all!

Pushed to master for 18.11
Comment 10 Martin Renvoize 2018-09-27 12:25:00 UTC
Pushed to 18.05.x for 18.05.05
Comment 11 Fridolin SOMERS 2018-10-03 12:09:53 UTC
Pushed to 17.11.x for 17.11.11
Comment 12 Fridolin SOMERS 2018-10-03 13:43:15 UTC
(In reply to Fridolin SOMERS from comment #11)
> Pushed to 17.11.x for 17.11.11

Arf brakes template, I revert from 17.11.x